nodes / hosts
2 operations.
GET /nodes/{node}/hosts
ts
proxmox.nodes.$(node).hosts.$get()Get the content of /etc/hosts.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/hosts
ts
proxmox.nodes.$(node).hosts.$post()Write /etc/hosts.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
data | string | yes | The target content of /etc/hosts. |
digest | string | Prevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars | |
node | string | yes | The cluster node name. — format pve-node |